package org.rcisoft.business.device.dao;

import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.device.vo.DeviceAssetStatisticVo;
import org.rcisoft.core.base.BaseMapper;
import org.rcisoft.business.device.entity.BusDevice;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import springfox.documentation.service.ApiListing;


import java.util.List;

/**
* Created with  on 2018-4-12 15:33:23.
*/
@Repository
public interface BusDeviceRepository extends BaseMapper<BusDevice> {

    /**
    * 分页查询 busDevice
    *
    */
    @Select("<script>select * from bus_device where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if> "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if> "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<BusDevice> queryBusDevices(BusDevice busDevice);

    /*
    通过项目id与子系统id获取子系统中的所有设备
    @param sysId  子系统id
    @param proId  项目id
     */
    List<DeviceAssetStatisticVo> getBusDevicesBySysId(@Param("sysId") String sysId, @Param("proId") String proId);

    /**
     * 通过项目id获取项目名称
     * @param proId
     * @return
     */
    String getProNameByProId(@Param("proId") String proId);

    /**
     * 通过系统id获取系统名称
      * @param sysId
     * @return
     */
    String getSysNameBySysId(@Param("sysId") String sysId);
}

